All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.iquery.dataretrieval
Class QueryConnector.CloseOptions

    com.sas.iquery.dataretrieval.QueryConnector.CloseOptions

Enclosing class:
  QueryConnector

    public static class QueryConnector.CloseOptions

Contains bit values that are used to close specific resources that are managed by the `QueryConnector`. The integer constants in this class may be or'ed together and passed to `QueryConnector.closeResources(SessionContextInterface, int)`. Examples of use:

- To close all result sets retrieved through a particular query connector, leaving connections active as well as result sets retrieved through other query connectors: `queryConnector.closeResources(session, CloseOptions.ALL_RESULTSET_OPTIONS);`
- To close only non-offline result sets retrieved through this query connector and the user's connection to a tabular (workspace) server: `queryConnector.closeResources(session, CloseOptions.TABULAR_BASIC_RESULTSETS | CloseOptions.TABULAR_CONNECTION);`
- To close all result sets and all connections used by the user, independent of the query connector used (SCOPE_SESSION): `queryConnector.closeResources(session, CloseOptions.ALL_RESULTSET_OPTIONS | CloseOptions.ALL_CONNECTION_OPTIONS | CloseOptions.SCOPE_SESSION);`

Note:

- To make sure that an OLAP connection is completely closed, QueryConnector.CloseOptions.OLAP_CONNECTION needs to be used.
- To make sure that all connections and result sets associated with the SessionContext is closed, QueryConnector.close(SessionContextInterface) method needs to be used.

Field Summary
`static int` | `OLAP_CONNECTION` Set this bit to close the OLAP connection.
`static int` | `OLAP_RESULTSETS` Set this option to close OLAP DataSets
`static int` | `OLAP_SESSION` Set this bit to close the OLAP session.
`static int` | `SCOPE_SESSION` Close result sets belonging to the given session, rather than just for this particular query connector
`static int` | `TABULAR_BASIC_RESULTSETS` Set this bit to close relational non-offline ResultSets
`static int` | `TABULAR_CONNECTION` Set this bit to close the workspace connection.
`static int` | `TABULAR_OFFLINE_RESULTSETS` Set this option to close relational offline ResultSets

Constructor Summary
`QueryConnector.CloseOptions()`

Field Detail

### TABULAR_CONNECTION

    public static final int TABULAR_CONNECTION

  Set this bit to close the workspace connection.

  See Also:
    Constant Field Values

### OLAP_CONNECTION

    public static final int OLAP_CONNECTION

  Set this bit to close the OLAP connection.

  See Also:
    Constant Field Values

### OLAP_SESSION

    public static final int OLAP_SESSION

  Set this bit to close the OLAP session.

  See Also:
    Constant Field Values

### TABULAR_BASIC_RESULTSETS

    public static final int TABULAR_BASIC_RESULTSETS

  Set this bit to close relational non-offline ResultSets

  See Also:
    Constant Field Values

### TABULAR_OFFLINE_RESULTSETS

    public static final int TABULAR_OFFLINE_RESULTSETS

  Set this option to close relational offline ResultSets

  See Also:
    Constant Field Values

### OLAP_RESULTSETS

    public static final int OLAP_RESULTSETS

  Set this option to close OLAP DataSets

  See Also:
    Constant Field Values

### SCOPE_SESSION

    public static final int SCOPE_SESSION

  Close result sets belonging to the given session, rather than just for this particular query connector

  See Also:
    Constant Field Values

Constructor Detail

### QueryConnector.CloseOptions

    public QueryConnector.CloseOptions()

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.